Bug 36164 (dbus-1.5) - dbus-1.5 review wishlist
Summary: dbus-1.5 review wishlist
Status: RESOLVED INVALID
Alias: dbus-1.5
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: 1.5
Hardware: All All
: medium enhancement
Assignee: Simon McVittie
QA Contact: John (J5) Palmieri
URL:
Whiteboard:
Keywords:
Depends on: 14005 14512 21620 23194 23252 26548 29881 32827 33128 33336 33337 33342 33840 33973 34393 34529 34570 34671 34869 34976 35230 35306 dbus-1.4 37286 38284 38287 38570 39196 39197 39231 39549 39636 39720 39759 39836 40002 41012 41222 45520 46095 47237 47239 48580
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-12 07:35 UTC by Simon McVittie
Modified: 2014-09-23 15:59 UTC (History)
7 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon McVittie 2011-04-12 07:35:15 UTC
Like Bug #36074, this is an experiment in using Bugzilla as a shared to-do list. Let's try tracking things we want fixed in dbus-1.5 here.

Rules:

* Add blocking bugs to this one if there's a patch you think is
  ready for review and small enough for 1.4, but you can't review it
  yourself

* Add blocking bugs to this one if there's a patch, you've reviewed it,
  and you think it needs a small amount of work

* If you've reviewed a patch and it's good, just commit it instead :-)

* Remove blocking bugs if the patch needs significant changes (whitespace,
  coding style and other small fixes don't count) or is controversial
Comment 1 Simon McVittie 2011-04-12 07:51:38 UTC
smcv's wishlist:

- Bug #33336, Bug #33342, Bug #23194, Bug #33337 (in that order):
  improved fd handling, and eventually epoll

- Bug #34393 (could possibly even go in 1.4): locking violations at limits

- Bug #14512: build-system

- Bug #29881: easy cleanup

- Bug #33128: easy cleanup

- Bug #34570: end-to-end integration tests not relying on embedding extra goo
  in the library

- Bug #32827: .pc file improvements

- Bug #34040: Stats interface (with or without Alban's additions)

Other people's wishlists:

- Bug #34869 (David): ObjectManager (nearly finished)

- Bug #35230 (Lennart): exec transport

- Bug #34526 (Scott, Lennart): Upstart service-activation and potentially
  changes to how systemd activates services
Comment 2 Lennart Poettering 2012-02-09 13:48:49 UTC
Lennart's wishlist:

- Bug #35232: document systemd transport in the spec

- Bug #35230: add new exec transport on Unix

- Bug #40409: Natively read systemd unit directories to find actvitable services
Comment 3 Lennart Poettering 2012-02-09 17:25:32 UTC
(In reply to comment #2)
> Lennart's wishlist:
> 
> - Bug #35232: document systemd transport in the spec
> 
> - Bug #35230: add new exec transport on Unix
> 
> - Bug #40409: Natively read systemd unit directories to find actvitable services

Let's add:

- Bug #45520: Introduce --nopidfile
Comment 4 Simon McVittie 2012-02-13 10:22:13 UTC
OK, status report. I'm in the process of releasing D-Bus 1.4.18 and 1.5.10. I very much hope we're heading for 1.6, but as ever, I can't maintain D-Bus on my own, so please help!

Easy
====

Bug #14005: documentation fixes - just needs review?

Features
========

Bug #35230: unixexec transport - reviewed, some implementation fixes needed

Bug #39549: public API for syntax validation - from the department of "make life less hard for bindings"

Intrusive fixes
===============

Bug #39196, Bug #39197: make dbus-launch not suck - need review from someone who understands how dbus-launch works/fits into distros, I think (Colin? Thiago? Lennart?)

Maintainability
===============

Bug #33840: making the build system simpler

Bug #33870: making libdbus internals simpler/more obviously correct

Bug #34671: --enable-maintainer-mode should be on by default,
    without it also enabling stuff that's not desirable in a
    normal installation

Taken off the list
==================

Bug #34526, Upstart activation support: unless an Upstart developer "drives" this, justifies design decisions and provides regression tests, it's not likely to happen

Bug #37095, remaining part is "say not to use '/' as entry point" explicitly - easy but needs writing
Comment 5 Simon McVittie 2012-04-02 03:47:40 UTC
Revisiting again:

Major/feature'y things, should land before 1.6:

Bug #37920 - make authentication and authorization decisions earlier so clients can distinguish between lack of auth, and successful auth followed by session end (mostly reviewed, I only appended some "fix stuff" patches)

Bug #38201 - default address semantics: there is discussion there but no review, someone please confirm whether my reasoning and patches are right so we can sort this out?

Bug #39196 - add dbus-run-session so we don't keep abusing dbus-launch

Bug #39197 - make dbus-launch not shoot you in the foot

and Lennart will want Bug #40409 to be on this list, but I've reviewed it, so the ball is in his court now.

Minor, could be fixed in a stable branch IMO:

Bug #33973 - work around Windows' DLL export/import semantics

Bug #34671 - I'm sick of maintainer mode having non-automake consequences

Bug #47237 - unable to test cmake builds on Linux

Bug #47239 - linking to libpthread only works by coincidence
Comment 6 Simon McVittie 2012-04-02 03:48:36 UTC
(In reply to comment #5)
> Bug #37920 - make authentication and authorization decisions earlier so clients
> can distinguish between lack of auth, and successful auth followed by session
> end (mostly reviewed, I only appended some "fix stuff" patches)

Sorry, that should say Bug #39720.
Comment 7 Simon McVittie 2014-09-23 15:59:15 UTC
Closing this, it doesn't seem to have particularly succeeded in its goal of "get my patches reviewed within a finite time".


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.